> For the complete documentation index, see [llms.txt](https://docs.zipy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zipy.ai/zipy-for-mobile/flutter-setup/dio-network-calls.md).

# Dio Network Calls

Use the `ZipyDioClient` to call http network calls in your flutter application

```dart
import 'package:zipy_flutter/zipy_flutter.dart';

final dioClient = ZipyDioClient();
dioClient.get(url); or dioClient.post(url);
```

Example-&#x20;

1. Using dio interceptors.

```dart
final Dio dio = Dio();
dio.interceptors.add(NetworkLogger());
final Uri todosUri = Uri.parse('url');
final Map<String, String> headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer your_api_key',
};

final Map<String, dynamic> postData = {
  'title': '2',
  'body': '33',
  'userId': 4343,
};

try {
  final response = await dio.post(
    todosUri.toString(),
    data: postData,
    options: Options(headers: headers),
  );

} catch (e) {
  print('Error posting data: $e');
}
```

or

2. Using zipy dio client.

```dart
final dioClient = ZipyDioClient();
const String url = 'url';
final Map<String, String> headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer diogetCalls',
};

try {
  final Response response = await dioClient.get(
    url,
    options: Options(headers: headers),
  );

} catch (e) {
  print(e);
}
```

Use the instance of `client` to call the api by importing it wherever needed or you can call it in your network call wrapper.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zipy.ai/zipy-for-mobile/flutter-setup/dio-network-calls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
